diff -Naur Doomsday Data Files.old/ai/ger_1941.ai Doomsday Data Files/ai/ger_1941.ai
--- Doomsday Data Files.old/ai/ger_1941.ai	2008-12-01 19:17:14.000000000 +0100
+++ Doomsday Data Files/ai/ger_1941.ai	2008-12-01 21:31:17.000000000 +0100
@@ -1,85 +1,51 @@
-# German 1936 AI File by Lothos
+# reworked by G'Kar for DAIM
+# based on the original files (HoI2 1.1) by Lothos
+# reuse is welcome as long as file origin is correctly stated
 
 switch = no # [yes/no]
-max_front_ratio = 1.2
-max_front_ratios = { 	# Override the default against specific countries. Ignored against humans.
-	FRA = 1.0 
-}
-max_garrison_prop = 0.50
-min_garrison_prop = 0.30
-neutrality = 20.000 
-war = 50
-strat_redeploy_threshold = 50
-max_redeploying = 0.05
-exp_force_ratio = 0.06
-exp_force_ratios = {
-	ITA = 0.6
-	FIN = 0.4
-} 
+max_front_ratio = 1.5
+max_garrison_prop = 0.30
+min_garrison_prop = 0.20
+neutrality = 0.000 
+war = 100
+reinforcement = 0.1
+upgrading = 0.15
+strat_redeploy_threshold = 63
+max_redeploying = 0.15
+exp_force_ratio = 0.1
 no_exp_forces_to = { JAP SIA MAN VIC }
+use_offensive_supply = yes
+max_fuel_offensive = 1
 
-flags = {
-  	WeserubungFall = yes
-	GC1939 = yes
-}
 ###################################
 # Diplomacy
 ###################################
-combat = { }
+claim_acceptance = -49
 
-befriend = {
-	ROM = 50
-	BUL = 40 
-	HUN = 80 
-	YUG = 50
-	SLO = 50
-	SPA = 20
-	ITA = 80 
-	SWE = 10
-	FIN = 20
-	JAP = 20
-	POR = 10
-	TUR = 30
-	DEN = 50
-}
-protect = {
-	ROM = 80
-	BUL = 80 
-	SWE = 80
-	SCH = 80
-	AUS = 300
-	POL = 80
-	SLO = 80
-	NOR = 80
-	ITA = 80
-	TUR = 80
-}
-target = { 
-	#Austria
-	373 = 80 # Lech
-	377 = 80 # Innsbruck
-	462 = 80 # Salzburg
-	461 = 80 # Klagenfurt
-	465 = 80 # Linz
-	464 = 80 # Hollabrunn
-	463 = 80 # Vienna
-	460 = 80 # Graz
-
-	#Czech
-	472 = 60 # Liberec
-	471 = 60 # Usti
-	466 = 60 # Strakonice
-	467 = 60 # Tabor
-
-	#Poland
-	303 = 50 # Danzig
+combat = {
+	SOV = 100
+	YUG = 75
+	GRE = 75
+	NOR = 75
+}
+
+liberate = { HUN BUL ROM FIN SPA }
+
+demand_claims = { }
+befriend = { }
+protect = { }
+target = {
+	56 = 50
+	401 = 50
+	453 = 50
+	163 = 100
+	175 = 100
+	187 = 100
+	1572 = 100
+	1907 = 100
+}
 
-	#Baltic States
-	206 = 50 # Memel
-} 
 trade = {
-	cancel_deal_threshold = 2
-
 	energy 		= -1
 	rare_materials 	= -1
 	metal 		= -1
@@ -97,496 +63,273 @@
 		SPA = 80
 		BUL = 100
 		JAP = 50
-		CHI = 50
 	}
 	embargo = {
 		ENG FRA AST CAN NZL
 	}
 }
+
 tech_sharing = {
 	favored = {
-		ROM = 120
-		SLO = 80
-		BUL = 100
-		HUN = 100
-		SPA = 120
-		YUG = 50
-		ITA = 150
-		SWE = 50
-		FIN = 120
-		JAP = 150
-		TUR = 100
-	}
-	embargo = {
-		ENG FRA AST CAN NZL
+		ROM = 200
+		SLO = 200
+		BUL = 200
+		HUN = 200
+		SPA = 200
+		ITA = 200
+		FIN = 200
+		JAP = 200
+		CRO = 200
 	}
+	embargo = { }
 	not = { }
 	prioritized = {
-		# Arcriculture
-		5020 = 100
-		5030 = 100
-		5040 = 100
-
-		# Inf support
-		1310 = 100
-		1320 = 100
-		1330 = 100
-		1340 = 100
-		1350 = 100
-		1360 = 100
-
-		# Production
-		5050 = 100
-		5060 = 100
-		5070 = 100
-		5080 = 100
-		5090 = 100
-		5100 = 100
-		5110 = 100
-		5120 = 100
-		5130 = 100
-		5150 = 100
-		5180 = 100
-
-		# Motorized
-		1230 = 100
-		1240 = 100
-		1250 = 100
-
-		# CAS
-		4170 = 100
-		4280 = 100
-		4180 = 100
-
-		# Medium tanks
-		2070 = 100
-		2080 = 100
-		2090 = 100
-
-		# Light tanks
+		1010 = 100 # Infs
+		1020 = 100
+		1030 = 100
+		1040 = 100
+		1050 = 100
+		1060 = 100
+		1110 = 100 # Mtns
+		1120 = 100
+		1130 = 100
+		1140 = 100
+		1190 = 100 # Cavs
+		1200 = 100
+		1210 = 100
+		1220 = 100
+		2010 = 100 # Tanks
 		2020 = 100
 		2030 = 100
 		2040 = 100
 		2050 = 100
 		2060 = 100
-
-		# Submarines
-		3400 = 100
-		3410 = 100
-		3420 = 100
-		3430 = 100
-		3440 = 100
-		3450 = 100
-
-		# Mechanized
-		1260 = 100
-		1270 = 100
-		1280 = 100
-		1290 = 100
-	}
-}
-###################################
-# Spying
-###################################
-spyprefs =
-{
-	percentage_on_spies 		= 0.2
-	percentage_foreign_mission 	= 0.7
-
-	# Used for Homeland Defense Spying
-	spyprefsdata = 
-	{
-		NumberOfSpies = 5
-		counter_espionage =  10
-		country = GER
-	}
-	# Defaul Spy parms used for countries the AI is atwar with but has no specific entry
-	spyprefsdata = {
-		country_priorities	= 3
-		NumberOfSpies		= 3
-		min_number_of_spies = 1
-		steal_blueprint 	= 10
-		minister_assassination = 1
-		smear_campaign 		= 3
-		coup 				= 4
-		sabotage_industry 	= 5
-		nuclear_sabotage 	= 0
-		found_partisans 	= 0
-		massmedia 			= 3
-		counter_espionage 	= 5
-		disrupt_techteam	= 5
-		country 			= NONE
-	}
-	spyprefsdata = {
-		country_priorities	= 10
-		NumberOfSpies		= 10
-		min_number_of_spies = 2
-		steal_blueprint 	= 10
-		minister_assassination = 2
-		smear_campaign 		= 4
-		coup 				= 1
-		sabotage_industry 	= 10
-		nuclear_sabotage 	= 0
-		found_partisans		= 0
-		massmedia 			= 4
-		counter_espionage 	= 5
-		disrupt_techteam 	= 4
-		country 			= SOV
-	}
-	spyprefsdata = {
-		country_priorities	= 8
-		NumberOfSpies		= 7
-		min_number_of_spies = 2
-		steal_blueprint 	= 10
-		minister_assassination = 2
-		smear_campaign 		= 4
-		coup 				= 1
-		sabotage_industry 	= 10
-		nuclear_sabotage	= 0
-		found_partisans 	= 0
-		massmedia 			= 4
-		counter_espionage 	= 5
-		disrupt_techteam 	= 4
-		country 			= ENG
-	}
-	spyprefsdata = {
-		country_priorities	= 5
-		NumberOfSpies		= 5
-		min_number_of_spies = 2
-		steal_blueprint 	= 10
-		minister_assassination = 1
-		smear_campaign 		= 2
-		coup 				= 1
-		sabotage_industry 	= 10
-		nuclear_sabotage 	= 0
-		found_partisans 	= 0
-		massmedia 			= 2
-		counter_espionage 	= 5
-		disrupt_techteam	= 4
-		country 			= USA
-	}
-	spyprefsdata = {
-		country_priorities	= 2
-		NumberOfSpies		= 3
-		min_number_of_spies = 1
-		steal_blueprint 	= 10
-		minister_assassination = 0
-		smear_campaign 		= 0
-		coup 				= 0
-		sabotage_industry 	= 0
-		nuclear_sabotage 	= 0
-		found_partisans 	= 0
-		massmedia 			= 0
-		counter_espionage 	= 5
-		disrupt_techteam	= 0
-		country 			= SPA
-	}
-	spyprefsdata = {
-		country_priorities	= 4
-		NumberOfSpies		= 4
-		min_number_of_spies = 1
-		steal_blueprint 	= 10
-		minister_assassination = 1
-		smear_campaign 		= 3
-		coup 				= 4
-		sabotage_industry 	= 5
-		nuclear_sabotage 	= 0
-		found_partisans 	= 0
-		massmedia 			= 3
-		counter_espionage 	= 5
-		disrupt_techteam	= 5
-		country 			= SPR
-	}
-	spyprefsdata = {
-		country_priorities	= 4
-		NumberOfSpies		= 4
-		min_number_of_spies = 1
-		steal_blueprint 	= 10
-		minister_assassination = 1
-		smear_campaign 		= 3
-		coup 				= 4
-		sabotage_industry 	= 5
-		nuclear_sabotage 	= 0
-		found_partisans 	= 0
-		massmedia 			= 3
-		counter_espionage 	= 5
-		disrupt_techteam	= 5
-		country 			= YUG
+		2070 = 100
+		2080 = 100
+		2090 = 100
+		2290 = 100 # Arts
+		2300 = 100
+		2310 = 100
+		2320 = 100
+		2330 = 100
+		2340 = 100
+		2350 = 100
+		2360 = 100
+		2370 = 100
+		2380 = 100
+		2390 = 100
+		4010 = 100 # IntFs
+		4020 = 100
+		4030 = 100
+		4060 = 100
+		4090 = 100
+		4120 = 100 # Tacs
+		4130 = 100
+		4140 = 100
+		4150 = 100
+		4160 = 100
+		5050 = 100 # Machine Tools
+		5060 = 100
+		5070 = 100
+		5310 = 100 # Computers
+		5320 = 100
+		5330 = 100
+		5340 = 100
 	}
 }
+
 ###################################
 # Construction and Tech Research
 ###################################
 construction = { 
-	max_factor = 0.10 
-
-	AA_batteries = atwar
-	max_AA_level = 10 
-	AA_provs = { 
-		75  # Cologne
-		74  # Saarbruken
-		314 # Stuttgart
-		86  # Hannover
-		311 # Dresden
-		300 # Berlin
-		376 # Munchen
-	}
-
-	coastal_fort = atwar
-	max_coastal_level = 3
-	coastal_fort_provs = {
-		# Atlantic Wall
-		292 # Arburg
-		92  # Arhus
-		91  # Kolding
-		90  # Kiel
-		78  # Leeweden
-		47  # Amsterdam
-		46  # Rotterdam
-		45  # Ghent
-		18  # Calais
-		42  # Dieppe
-		41  # Le Havre
-		39  # Caen
-		33  # Rennes
-		32  # Brest
-		34  # Lorient
-		35  # Nantes
-		59  # Cholet
-		325 # Bordeaux
-		326 # Dax
-	} 
+	max_factor = 0.100 
 
-	radar_station = atwar
-	max_radar = 4
-	radar_provs = {
-		67 # Essen
-		82 # Kassel
-		80 # Wilhemshafen
-		300 # Berlin
-		314 # Stutgart
-		51 # Brussels
-		47 # Amsterdam
-		44 # Lille
-		56 # Paris
-	} 
+	AA_batteries = yes
+	max_AA_level = 5 
+	AA_provs = { 67 74 75 76 80 81 87 90 300 311 314 315 }
+
+	coastal_fort = yes
+	max_coastal_level = 2
+	coastal_fort_provs = { 18 32 33 34 35 39 41 42 43 45 46 47 59 78 90 91 92 292 325 326 } 
+
+	radar_station = yes
+	max_radar = 2
+	radar_provs = { 67 80 90 300 314 }
 
-	air_base = yes
-	max_air_base = 4
+	air_base = no
+	max_air_base = 0
 	air_base_provs = { } 
 
 	naval_base = no 
-	max_naval_base = 5 
+	max_naval_base = 0 
 	naval_base_provs = { } 
 
-	land_fort = yes
-	max_land_level = 2
+	land_fort = no
+	max_land_level = 0
 	fort_borders = { } 
 
-	ic_at_war = yes
+	ic_at_war = no
 	force_ic_until = 1935
-	ic_end_year = 1941
-	IC_provs = {
-		74  # Saarburken
-		376 # Munchen
-		300 # Berlin
-		75  # Cologne
-		314 # Stuttgart
-		86  # Hannover
-		311 # Dresden
-		300 # Berlin
-	} 
+	ic_end_year = 1935
+	IC_provs = { } 
 }
+
 military = { 
-	relative_build_scheme 	= yes 
+	relative_build_scheme 	= no 
 	max_batch_peace 	= 360 
-	max_batch_war 		= 180 
-	max_batch_home_front 	= 180
+	max_batch_war 		= 360 
+	max_batch_home_front 	= 360
 
 	#### Divisions etc...
-	infantry 		= 28
-	cavalry 		= 0
-	motorized 		= 6
-	mechanized 		= 3
-	light_armor 	= 4
-	armor 			= 3
-	paratrooper 	= 1
-	marine 			= 0
-	bergsjaeger 	= 1
-	garrison		= 15
-    hq 				= 4
-	militia 		= 0
-#				65 %
-	interceptor 	= 5
-	multi_role 		= 2
-	cas 			= 4
+	infantry 	= 37
+	cavalry 	= 0
+	motorized 	= 5
+	mechanized 	= 0
+	light_armor 	= 0
+	armor 		= 9
+	paratrooper 	= 0
+	marine 		= 0
+	bergsjaeger 	= 4
+	garrison	= 0
+      	hq 		= 3
+	militia 	= 0
+#				58 %
+	interceptor 	= 3
+	multi_role 	= 5
+	cas 		= 6
 	strategic_bomber = 0
-	tactical_bomber = 5
-	naval_bomber 	= 3
+	tactical_bomber = 0
+	naval_bomber 	= 2
 	transport_plane = 0
 	flying_bomb 	= 0
 	flying_rocket 	= 0
-#				19 %
-	battleship 		= 1
-	carrier 		= 0
+#				16 %
+	battleship 	= 1
+	carrier 	= 0
 	escort_carrier	= 0
-	destroyer 		= 3
+	destroyer 	= 4
 	light_cruiser 	= 2
 	heavy_cruiser 	= 1
-	battlecruiser 	= 0
-	submarine 		= 7
-	nuclear_submarine = 0
-	transports 		= 2
-#				16 %
+	battlecruiser 	= 1
+	submarine 	= 12
+	transports 	= 5
+#				26 %
 
 	#### Brigades
-	artillery 			= 20
-	sp_artillery 		= 8
-	rocket_artillery	= 0 
+	artillery 		= 10
+	sp_artillery 		= 5
+	rocket_artillery	= 0
 	sp_rct_artillery 	= 0
-	anti_tank 			= 8
-	tank_destroyer 		= 5
-	light_armor_brigade = 2
-	heavy_armor 		= 5
+	anti_tank 		= 0
+	tank_destroyer 		= 0
+	light_armor_brigade 	= 0
+	heavy_armor 		= 10
 	super_heavy_armor 	= 0
-	armored_car 		= 3
-	anti_air 			= 6
-	police 				= 3
-	engineer 			= 5 
+	armored_car 		= 0
+	anti_air 		= 0
+	police 			= 10
+	engineer 		= 15
 
-	cag = 100.000 
+	cag = 100.000
 }
 
 technology = { 
-	endgoal 	= { } 
+	endgoal 	= {
+		1010 1020 1030 1040 1050 1060 10000 10010 # Infantry
+		1110 1120 1130 1140 10040 10050 # Mountaineers
+		1230 1240 1250 10080 10090 # Motorized Inf
+		1260 1270 1280 1290 10100 10110 # Mechanized Inf
+		1310 1320 1330 10120 # Logistics
+		2010 2020 2030 2040 2050 2060 2070 2080 2090 2100 2110 2120 2130 2140 11000 11010 # Tanks
+		2290 2300 2310 2320 2330 2340 2350 2360 # Artillery
+		3010 3020 3030 3040 3050 3060 12000 # Destroyers
+		3320 3330 3340 3350 3360 3370 3380 3390 12060 # Carriers
+		12100 12110 12120 12130 12140 12150 # Escort Carriers
+		3400 3410 3420 3430 3440 3450 # Submarines
+		5010 5020 5030 5040 13000 13010 # Agriculture
+		5050 5060 5070 # Machine Tools
+		5080 5090 5100 # Construction Engineering
+		5110 5120 5130 5140 5150 5160 5180 # Assembly Lines
+		6210 6220 6230 6240 6250 6260 6270 6280 6290 14100 # Land Doctrines (GER path)
+		14000 14010 14020 14030 14040 # Hospitals
+	} 
 	preference 	= {
-		# Tools
-		5050 5060 5070
-
-		# Engineering
-		5080 5090 5100
-		
-		# Production Control
-		5110 5120
-		
-		# Assembly Line
-		5130 5140 5150 5160 5180
-		
-		# Cryptography
-		5310 5320 5330 5340
-		
-		# Special Weapons
-		7140 7150 7160
-
-		#Infantry
-		1010 1020 1030 1040 1050 1060
-
-		# Inf support
-		1310 1320 1330 1340 1350 1360
-
-		# Motorized
-		1230 1240 1250
-
-		# CAS
-		4170 4280 4180
-
-		# Medium tanks
-		2070 2080 2090
-
-		# Light tanks
-		2020 2030 2040 2050 2060
-
-		# Submarines
-		3400 3410 3420 3430 3440 3450
-
-		# Mechanized
-		1260 1270 1280 1290
-
-		# Naval Doctrines
-		8210 8280 8290 8300
-		
-		# Air Doctrines
-		9060 9080 9100 9110 9120 9130 9190 9200 9210 9220 9230 9240 9250 9260 9270 9280 9290 9300 9310 9320 9330 9340 9350 9360 9370 9380 9390 9400 9410 9420 
+		1010 1020 1030 1040 1050 1060 10000 10010 # Infantry
+		1110 1120 1130 1140 10040 10050 # Mountaineers
+		1230 1240 1250 10080 10090 # Motorized Inf
+		1260 1270 1280 1290 10100 10110 # Mechanized Inf
+		1310 1320 1330 10120 # Logistics
+		2010 2020 2030 2040 2050 2060 2070 2080 2090 2100 2110 2120 2130 2140 11000 11010 # Tanks
+		2290 2300 2310 2320 2330 2340 2350 2360 # Artillery
+		3010 3020 3030 3040 3050 3060 12000 # Destroyers
+		3320 3330 3340 3350 3360 3370 3380 3390 12060 # Carriers
+		12100 12110 12120 12130 12140 12150 # Escort Carriers
+		3400 3410 3420 3430 3440 3450 # Submarines
+		5010 5020 5030 5040 13000 13010 # Agriculture
+		5050 5060 5070 # Machine Tools
+		5080 5090 5100 # Construction Engineering
+		5110 5120 5130 5140 5150 5160 5180 # Assembly Lines
+		6210 6220 6230 6240 6250 6260 6270 6280 6290 14100 # Land Doctrines (GER path)
+		14000 14010 14020 14030 14040 # Hospitals
 	} 
 	ignore 		= {
-		# Strategic bombers
-		4220 4230 4240
-
-		# Battle Cruiser
-		3190 3200 3210 3220 3230 3240
-
-		# Battleship
-		3250 3260 3270 3280 3290 3300 3310
-
-		# Carrier 
-		3320 3330 3340 3350 3360 3370 3380 3390
-
-		# Light Carrier
-		12100 12110 12120 12130 12140 12150
-
-		# Marines
-		1150 1160 1170 1180
-
-		# Airborne 1070 1080
-		1090 1100
-
-		# Air Transports 4250
-		4260 4270
-
-		# SP Rocket Artillery
-		2260 2270 2280 
-
-		# Rocket Artillery
-		2370 2380 2390
-		
-		# Armoured Cars
-		2150 2160
-		
-		# Strategic Air Doctrines 9140
-		9150 9160 9170 9180 9430 9440 9450 9460
-	}
- 
-	armor 		= 5 
-	infantry 	= 6
-	industry 	= 5
+		1080 1090 1100 10020 10030 # Paratroopers
+		1160 1170 1180 10060 10070 # Marines
+		2170 2180 2190 2200 2210 11020 # Tank Destroyers
+		2370 2380 2390 # Rocket Artillery
+		2510 2520 2530 2540 11090 # Anti-Air Brigades
+		3310 12050 # Super-Heavy Battleships
+		4220 4230 4240 15160 15170 # Strategic Bombers
+		4260 4270 15180 15190 # Air Transports
+		5170 # Rocket Assembly Line
+		5470 5480 5490 5500 5510 5520 5530 5540 # Nuclear Techs
+		5580 5590 # Flying Bomb / Flying Rocket
+		9150 9160 9170 9180 9430 9440 9450 9460 17010 # Strategic Bombardment Doctrines
+		14090 # Volkssturm
+	}
+
+	armor 		= 6 
+	infantry 	= 8
+	industry 	= 4
 	aircraft 	= 5
-	naval 		= 1
+	naval 		= 2
 	land_doctrines 	= 3
 	secret_weapons 	= 2
 	air_doctrines 	= 2
 	naval_doctrines = 1
-}
+}  
 
 ###################################
 # Ground Combat, Leaders and Garrisons
 ###################################
 leader_ratio = {
-	land_field_marshal 	=0.02
-	land_general 		=0.031
-	land_lt_general 	=0.41
-
-	sea_grand_admiral 	=0.02
-	sea_admiral 		=0.061
-	sea_vice_admiral 	=0.401
-
-	air_marshal 		=0.02
-	air_general 		=0.091
-	air_lt_General 		=0.11
+	land_field_marshal	= 0.056 # = 1/18
+	land_general		= 0.074 # = 1/13.5
+	land_lt_general		= 0.333 # = 1/3
+
+	sea_grand_admiral	= 0.033 # = 1/30
+	sea_admiral		= 0.056 # = 1/18
+	sea_vice_admiral	= 0.083 # = 1/12
+
+	air_marshal		= 0.063 # = 1/16
+	air_general		= 0.125 # = 1/8
+	air_lt_General		= 0.250 # = 1/4
 }
+
 garrison = {
 	defend_overseas_beaches = yes
 	home_multiplier 	= 1.0
 	overseas_multiplier 	= 1.0
-	home_peace_cap 		= 20
+	home_peace_cap 		= 101
 	war_zone_odds 		= 2.0
 	key_point_prio_mult	= 0.5
-	revolt_risk_mult	= 0.2
+	revolt_risk_mult	= 0.4
 
 	# PRIORITIES:
-	beach			= 30	# Beach level 2
-	capital			= 20	# Our capital
-	human_border		= 0	# Ignored for allied human players
-	war_target		= 50	# The next country targeted for attack by this AI
+	beach			= 60	# Beach level 2
+	capital			= 75	# Our capital
+	human_border		= 100	# Ignored for allied human players
+	war_target		= 150	# The next country targeted for attack by this AI
 	
 	opposing_alliance	= 50	# For neutrals, all alliances are "opposing"
 	claim_threat		= 0	# If we are neutral, countries with claims on us get this
@@ -595,212 +338,97 @@
 	# Borders with specific countries
 	country_priorities = {
 		VIC = -1
-		SWE = -1
 		FIN = -1
 		ITA = -1
 		SCH = -1
 		AUS = -1
-		TUR = -1
-		SPR = -1
-		SPA = -1
-		SOV = 50
-		ENG = 50
-		USA = 50
-		FRA = 50
+		FRA = 75
+		ENG = 75
+		CAN = 75
+		AST = 75
+		NZL = 75
+		SAF = 75
+		USA = 75
+		YUG = 25
+		HOL = 25
+		BEL = 50
+		DEN = 25
+		SOV = 175
 	}
 	ignore = {
-		#Baltic States
-		205 # Mazirbe
-		204 # Jelgava
-		197 # Riga
-		196 # Parnu
-		194 # Tallinn
-		193 # Narva
-		188 # Kingisepp
-
-		#Germany
-		89  # Lubeck
-		296 # Rostock
-		301 # Stralsund
-		302 # Stetting
-		304 # Elbing
-		510 # Konigsberg
-		206 # Memel
-
-		#Poland
-		303 # Danzig
-
-		#Sweden
-		93  # Malmo
-		97  # Jonkoping
-		100 # Norrkoping
-		101 # Stockholm
-		102 # Uppsala
-		114 # Gavle
-		120 # Sundsuall
-		122 # Umea
-		127 # Lulea
-
-		#Finland
-		145 # Viipuri
-		142 # Helsinki
-		141 # Turku
-		140 # Pori
-		138 # Vaasa
-		137 # Oulu
-		131 # Tornio
 	}
-	province_priorities = {	}
-	area_multiplier = { }
+	province_priorities = {
+	}
+	area_multiplier = {
+	}
 }
+
 front = { 
-	recklessness 		= 1 # 0-3
-	distrib_vs_ai 		= even
-	distrib_vs_human 	= even
+	recklessness 		= 2 # 0-3
+	distrib_vs_ai 		= offensive
+	distrib_vs_human 	= offensive
 
 	enemy_reinf_days	= 6
 	reserve_prop		= 0.1
 	panic_ratio_vs_ai	= 2.5
 	panic_ratio_vs_human	= 2.5
-	base_attack_odds	= 1.3
+	base_attack_odds	= 1.333
 	min_attack_odds		= 1.1
 	max_attack_odds		= 3.0
 	reinforce_odds		= 1.2
-	withdraw_odds		= 0.6
+	withdraw_odds		= 0.75
 
 	strength 	= 1.0
-	organisation 	= 1.0
+	organisation 	= 2.0
 	soft_attack 	= 1.0
-	hard_attack 	= 1.0
+	hard_attack 	= 2.0
 	ground_defense 	= 1.0
-	dig_in 		= 1.0 # Against defender
-
-	frozen_attack 	= 1.0
-	snow_attack 	= 1.0
-	blizzard_attack = 1.0
-	storm_attack 	= 1.0
-	muddy_attack 	= 1.0
+	dig_in 		= 1.25 # Against defender
 
-	
-	
-	occupied 	= 0.7
-	owned 		= 0.7
-
-	jungle_attack 	= 1.0
-	mountain_attack = 1.0
-	swamp_attack 	= 1.0
-	forest_attack 	= 1.0
-	hill_attack 	= 1.0
-	urban_attack 	= 1.0
-	river 		= 1.0
-
-      	enemy_handicap = { } 
-      	passivity = { } 
+      	enemy_handicap = {
+	} 
+      	passivity = {
+	}
+	province_priorities = {
+	}
 } 
-###################################
-# Air bombardment and defense
-###################################
-# Air AI File For Ground Bombings as priority
-# bomber is now obsolete and NOT USED AT ALL replace and use Air Marshal instead
 
-air_marshal = {
-	min_mission_strength_org	= 0.8
-	icxdayscostfactor 			= 10.0		# How to value true industrial cost when calculating expect causalties
-	manpowercostfactor			= 100.0		# How to value manpower cost when calculating expect causalties
-	destructionriskthreashold 	= 0.2		# when to fear a divisiopn might be destroyed
-
-	# desirability is a multiplier used when calcualting the mission desirability
-	airsuperioritydesirability 		= 30.0
-	groundattackdesirability 		= 40.0
-	inderdictiondesirability 		= 20.0
-	logisticalstrikedesirability 	= 2.0
-	runwaycrateringdesirability 	= 10.0
-	strategicstrikedesirability 	= 10.0
-	installationstrikedesirability 	= 5.0
-	navalstrikedesirability 		= 15.0
-	portstrikedesirability 			= 9.0
-	convoyraiddesirability			= 9.0
-
-	# tolerance is the required kill:loss ration expected to do 
-	#    mission, 2.0 accept twice the losses of your enemy, 0.5 accept half
-	airsuperioritylosstolerance 	= 1.0
-	groundattacklosstolerance 		= 1.0
-	interdictionlosstolerance 		= 2.0
-	logisticalstrikelosstolerance 	= 0.5
-	runwaycrateringlosstolerance 	= 1.5
-	strategicstriketolerance 		= 4.5
-	installationstriketolerance 	= 1.5
-	navalstriketolerance 			= 1.0
-	portstriketolerance 			= 1.0
-	convoyraidtolerance				= 1.0
-
-	# efficency is a tweakable param to adjust according to how 
-	#    much actual damage comes from doing this mission (not to be confused with desirability)
-	logisticalstrikeefficency 	= 0.01
-	runwaycrateringefficency 	= 0.01
-	strategicstrikeefficency 	= 0.01
-	installationstrikeefficency = 0.01
-
-	taskforcetype = { name = "Air Superiority" desiredratio = 0.400 rangeweight = 10.000 airkillpowerweight = 2000.000 hardkillpowerweight = 0.000 softkillpowerweight = 0.000 navalkillpowerweight = 0.000 strategickillpowerweight = 0.000 transportcapacityweight = -1000000.000 airvulnurabilityweight = -1.000 surfacevulnurabilityweight = 0.000 idle = yes reorganize = yes air_superiority = yes } 
-	taskforcetype = { name = "Soft Bombing" desiredratio = 0.250 rangeweight = 10.000 airkillpowerweight = 0.000 hardkillpowerweight = 0.000 softkillpowerweight = 2000.000 navalkillpowerweight = 0.000 strategickillpowerweight = 0.000 transportcapacityweight = -1000000.000 airvulnurabilityweight = 0.000 surfacevulnurabilityweight = -1.000 idle = yes reorganize = yes interdiction = yes ground_attack = yes } 
-	taskforcetype = { name = "Hard Bombing" desiredratio = 0.100 rangeweight = 10.000 airkillpowerweight = 0.000 hardkillpowerweight = 2000.000 softkillpowerweight = 0.000 navalkillpowerweight = 0.000 strategickillpowerweight = 0.000 transportcapacityweight = -1000000.000 airvulnurabilityweight = 0.000 surfacevulnurabilityweight = -1.000 idle = yes reorganize = yes interdiction = yes ground_attack = yes } 
-	taskforcetype = { name = "Strategic Bombing" desiredratio = 0.100 rangeweight = 10.000 airkillpowerweight = 0.000 hardkillpowerweight = 0.000 softkillpowerweight = 0.000 navalkillpowerweight = 0.000 strategickillpowerweight = 2000.000 transportcapacityweight = -1000000.000 airvulnurabilityweight = -0.500 surfacevulnurabilityweight = -0.500 idle = yes reorganize = yes logistical_strike = yes runway_cratering = yes strategic_bombardment = yes installation_strike = yes } 
-	taskforcetype = { name = "Naval Bombing" desiredratio = 0.050 rangeweight = 10.000 airkillpowerweight = 0.000 hardkillpowerweight = 0.000 softkillpowerweight = 0.000 navalkillpowerweight = 2000.000 strategickillpowerweight = 0.000 transportcapacityweight = -1000000.000 airvulnurabilityweight = 0.000 surfacevulnurabilityweight = -1.000 idle = yes reorganize = yes naval_strike = yes port_strike = yes convoy_air_raiding = yes } 
-	taskforcetype = { name = "Airlift" desiredratio = 0.100 rangeweight = 10.000 airkillpowerweight = 0.000 hardkillpowerweight = -2000.000 softkillpowerweight = -2000.000 navalkillpowerweight = 0.000 strategickillpowerweight = -2000.000 transportcapacityweight = 1000000.000 airvulnurabilityweight = -1.000 surfacevulnurabilityweight = 0.000 idle = yes reorganize = yes airborne_assault = yes air_supply = yes } 
-}
 ###################################
 # Invasions and Naval
 ###################################
 invasion = { 
  	base		= 0.1	#Relative modifier. (lower = specific targets much more important.)
-	random		= 8.0	#How big a random range.  (1.0 = 1%)
+	random		= 10.0	#How big a random range.  (1.0 = 1%)
 	coastal		= 0.1	#increase to avoid coastal forts more.
 	beach		= 0.1	#higher, avoid worst beaches.
 	distance	= 0.1	#higher = avoid long distance.
-	max_distance    = 20.0  #About the distance from Rostock to Narvik
-	pocket		= 20.0	#prioritise pockets, ie provinces with no adjacent controlled by same.
+	max_distance    = 25.0  #About the distance from Rostock to Narvik
+	pocket		= 1.0	#prioritise pockets, ie provinces with no adjacent controlled by same.
 	island		= 0.1	#prioritise taking pure islands.
 	enemy		= 2.0	#higher = much more vary of troops in province.
 	adjacentenemy 	= 2.0	#higher = much more vary of troops nearby
 	air_base	= 1.5 
       	naval_base 	= 0.1 
       	air_support 	= 3.0 
+	invasion	= yes
+	ignore		= yes
       	redirect 	= priority
-	ignore		= no
-      
+
 	target = { 
 		#Norway
-		107 = 4000 # Oslo
-		108 = 4000 # Kristiansan
-		109 = 4000 # Stavanger
-		110 = 4000 # Bergen
-		125 = 4000 # Narvik
-		117 = 3750 # Alesund
-		118 = 3750 # Trondheim
-		124 = 3750 # Mo I Ran
-
-		#Sweden
-		106 = 4000 # Amal
-		98  = 4000 # Goterborg
-		93  = 4000 # Malmo
-		97  = 4000 # Jonkoping
-		100 = 3750 # Norrkoping
-		101 = 3750 # Stockholm
-		102 = 3750 # Uppsala
-		114 = 3750 # Gavle
-		120 = 4000 # Sundsuall
-		122 = 4000 # Umea
-		127 = 4000 # Lulea
-
-		#Finland
-		142 = 2000 # Helsinki
-		141 = 2000 # Turku
-		140 = 2000 # Pori
-		138 = 2000 # Vaasa
-		137 = 1750 # Oulu
-		131 = 1750 # Tornio
+		107 = 1000 # Oslo
+		108 = 1000 # Kristiansan
+		109 = 1000 # Stavanger
+		110 = 1000 # Bergen
+		125 = 1000 # Narvik
+		117 = 1000 # Alesund
+		118 = 1000 # Trondheim
+		124 = 1000 # Mo I Ran
+
+		28 = -1
 	} 
-} 
+}
+
 admiral = { 
 	min_org		= 100	# NEW: Percent of org gained back before the unit can leave port
 	min_dmg		= 98    # NEW: Percent of dmg gained back before the unit can leave port
@@ -808,159 +436,146 @@
 	return_dmg 	= 80 	# NEW: PERCENT OF DMG LOST BEFORE RETURNING TO PORT for repairs applies to all fleets/ships
 
 	ignore = {
-		"Irish West Coast"
-		"Cape Finisterre"
-		"Bay of Biscay"
-		"Central Northsea"
-		"West Northsea"
-		"English Channel"
-		"The Hebreides"
-		"Irish Sea"
-
-		#South Africa
-		"Coast of South Africa"
+		# South Atlantic
+		"Coast of Brazil"
+		"Cap Verde"
+		"Gulf of Guinea"
+		"Coast of Africa"
+		"Coast of Bissao"
+		"Guiana Basin"
+		"South-Central Mid-Atlantic Ridge"
 		"Atlantic-Indian Ridge"
-		
-		#East Africa
-		"Red Sea"
-		"Horn of Africa"
-		
-		#Madagascar Coast
-		"South Mozambique Channel"
-		"North Mozambique Channel" 
-		"Northeast Coast of Madagascar"
-		"Southeast Coast of Madagascar" 
-		
-		#North Indian Ocean (Persian Gulf)
-		"Persian Gulf"
-		"North Arabian Sea"
-		"South Arabian Sea" 
-		"Coast of Ceylon"
-		
-		#Central/South Indian Ocean
-		"Mascarene Plateau"
-		"Mid-Indian Ridge" 
-		"Ninetyeast Ridge" 
-		"Southeast Indian Ocean"
-		"Southwest Indian Ocean" 
-		
-		#Bay of Bengal & West Indonesia
-		"East Bay of Bengal"
-		"West Bay of Bengal"
-		"Malacca Strait"
-		"Java Ridge"
-		"Java Trench"
-		
-		#Indo-China, Borneo, Phillipenes
-		"Gulf of Siam"
-		"Coast of Indochina"
-		"Spratly Sea"
+		"Coast of South Africa"
+		"Coast of Angola-Namibia"
+		"Angola Plain"
+		"Argentine Plain"
+		"Coast of Argentina"
+		"Coast of Uruguay"
+		"Coast of Guyana"
+		"Coast of Recife"
+		"Pernambuco Plain"
+		"Ascension Fracture Zone"
+
+		# Caribbean
+		"Yucatan Strait"
+		"Central Carribean"
+		"Windward Islands"
+		"West Gulf of Mexico"
+		"East Gulf of Mexico"
+		"Florida Strait"
+
+		# Pacific
+		"Luzon Strait"
+		"Philipine Trench"
 		"Coast of Brunei"
 		"Flores Sea"
+		"Molucca Sea"
+		"Banda Sea"
+		"West Coral Sea"
 		"Sulu Sea"
 		"Celebes Sea"
-		"Luzon Strait"
-		
-		#China Coast
+		"Arafura Sea"
+		"Java Ridge"
+		"Malacca Strait"
+		"Gulf of Siam"
+		"Spratly Sea"
+		"Coast of Indochina"
 		"Taiwan Strait"
-		"Yellow Sea"
-		
-		#Japanese Coast
 		"Sea of Japan"
-		"Ryukyus"
-		"Coast of Japan"
-		"South Sea of Okhotsk"
-		"West Sea of Okhotsk" 
-		"East Sea of Okhotsk" 
-		
-		#Mariana Basin, Phillipenes
-		"Philipine Trench"
-		"Central Philippine Sea"
-		"Mariana Trench"
-		"East Mariana Basin"
-		"Mid-Pacific Mountains"
 		"North Bismarck Sea"
-		
-		#New Guinea, East/North Australia and New Zealan
-		"Coast of New Guinea"
-		"Molucca Sea"
-		"Banda Sea"
-		"Arafura Sea"
 		"South Bismarck Sea"
+		"Marianas"
+		"Marshalls Sea"
+		"Western Solomons"
+		"Eastern Solomons"
+		"East Coral Sea"
+		"Coast of Japan"
 		"Solomon Sea"
-		"West Coral Sea"
-		"East Coral Sea" 
 		"North Tasman Sea"
-		"South Tasman Sea" 
-		"East Cost of New Zealand"
-		
-		# South and West Australia
-		"Timor Sea"
-		"West Coast of Australia"
+		"South Tasman Sea"
 		"East Great Australian Bight"
-		"West Great Australian Bight" 
-		
-		#North Pacific
+		"West Great Australian Bight"
+		"Aleutians"
+		"Carolines"
+		"Central Philippine Sea"
 		"Coast of Kamchatka"
 		"East Bering Sea"
-		"West Bering Sea" 
-		"Aleutians"
-		"Northwest Pacific Basin"
-		"North Northeast Pacific Basin"
-		
-		#Central Pacific
+		"East Mariana Basin"
+		"East Sea of Okhotsk"
+		"Gulf of Alaska"
 		"Hawaiian Rise"
-		"North East Pacific Ocean"
-		"Marshalls Sea"
-		"South East Pacific Ocean"
-		"Marianas"
-		"Western Solomons"
-		"Eastern Solomons"
-		"US Maritimes"
-		"Carolines"
-		
-		#South Pacific
+		"Mariana Trench"
+		"Mid-Pacific Mountains"
+		"North Northeast Pacific Basin"
+		"Northwest Pacific Basin"
+		"Ryukyus"
+		"South Sea of Okhotsk"
+		"Timor Sea"
+		"West Bering Sea"
+		"West Coast of Australia"
+		"West Coast of Mexico"
+		"West Coast of the United States"
+		"West Sea of Okhotsk"
+		"Yellow Sea"
+		"Fiji Basin"
 		"Gilberts"
 		"Line Islands"
-		"Fiji Basin"
-		"Southwest Pacific Basin"
-		
-		# South American West Coast
+		"North East Pacific Ocean"
+		"South East Pacific Ocean"
+		"East Cost of New Zealand"
+		"North Southeast Pacific Ocean"
+		"South Southeast Pacific Ocean"
 		"Southeast Pacific Basin"
+		"Southwest Pacific Basin"
+		"West Coast of Central America"
 		"West Coast of Chile"
 		"West Coast of Peru"
-		"South Southeast Pacific Ocean"
-		"North Southeast Pacific Ocean"
-		
-		# USA West Coast
-		"Gulf of Alaska"
-		"West Coast of the United States"
-		
-		#West Coast of Mexico
-		"West Coast of Mexico"
-		"West Coast of Central America"		
-	}
-	#Which provinces to use as bases..
-	base = {
-		90
-		296
+		"Coast of New Guinea"
+
+		# Indian Ocean
+		"Red Sea"
+		"Persian Gulf"
+		"Coast of Ceylon"
+		"East Bay of Bengal"
+		"Ninetyeast Ridge"
+		"Java Trench"
+		"West Bay of Bengal"
+		"Mascarene Plateau"
+		"Mid-Indian Ridge"
+		"North Arabian Sea"
+		"North Mozambique Channel"
+		"Northeast Coast of Madagascar"
+		"South Arabian Sea"
+		"South Mozambique Channel"
+		"Southeast Coast of Madagascar"
+		"Southeast Indian Ocean"
+		"Southwest Indian Ocean"
+		"Horn of Africa"
 	}
 	target = { } 
 	core = { 
-		2494
-		2493
-		2489
-		2483
-		2481
-		2491
-		2492
-		2484
-		2482
-		2480
-		2479
-		2478
-		2477
-		2476
-		290
+		2473
+		2474
+		2475
 	} 
-}
\ No newline at end of file
+}
+
+###################################
+# Intelligence
+###################################
+spyprefs = {
+	percentage_on_spies = 0.2
+	percentage_foreign_mission = 0.7
+
+	spyprefsdata = {
+		country_priorities = 10
+		min_number_of_spies = 5
+		NumberOfSpies = 10
+		counter_espionage = 10
+		country = GER
+	}
+}
+
+air_marshal = {
+	min_mission_strength_org = 0.7
+}
